package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcSafeReportMapper;
import com.ruoyi.oa.domain.CmcSafeReport;
import com.ruoyi.oa.service.ICmcSafeReportService;

/**
 * 安全汇报Service业务层处理
 * 
 * @author cmc
 * @date 2024-06-24
 */
@Service
public class CmcSafeReportServiceImpl implements ICmcSafeReportService 
{
    @Autowired
    private CmcSafeReportMapper cmcSafeReportMapper;

    /**
     * 查询安全汇报
     * 
     * @param safeReportId 安全汇报主键
     * @return 安全汇报
     */
    @Override
    public CmcSafeReport selectCmcSafeReportBySafeReportId(Integer safeReportId)
    {
        return cmcSafeReportMapper.selectCmcSafeReportBySafeReportId(safeReportId);
    }

    /**
     * 查询安全汇报列表
     * 
     * @param cmcSafeReport 安全汇报
     * @return 安全汇报
     */
    @Override
    public List<CmcSafeReport> selectCmcSafeReportList(CmcSafeReport cmcSafeReport)
    {
        return cmcSafeReportMapper.selectCmcSafeReportList(cmcSafeReport);
    }

    /**
     * 新增安全汇报
     * 
     * @param cmcSafeReport 安全汇报
     * @return 结果
     */
    @Override
    public int insertCmcSafeReport(CmcSafeReport cmcSafeReport)
    {
        return cmcSafeReportMapper.insertCmcSafeReport(cmcSafeReport);
    }

    /**
     * 修改安全汇报
     * 
     * @param cmcSafeReport 安全汇报
     * @return 结果
     */
    @Override
    public int updateCmcSafeReport(CmcSafeReport cmcSafeReport)
    {
        return cmcSafeReportMapper.updateCmcSafeReport(cmcSafeReport);
    }

    /**
     * 批量删除安全汇报
     * 
     * @param safeReportIds 需要删除的安全汇报主键
     * @return 结果
     */
    @Override
    public int deleteCmcSafeReportBySafeReportIds(Integer[] safeReportIds)
    {
        return cmcSafeReportMapper.deleteCmcSafeReportBySafeReportIds(safeReportIds);
    }

    /**
     * 删除安全汇报信息
     * 
     * @param safeReportId 安全汇报主键
     * @return 结果
     */
    @Override
    public int deleteCmcSafeReportBySafeReportId(Integer safeReportId)
    {
        return cmcSafeReportMapper.deleteCmcSafeReportBySafeReportId(safeReportId);
    }
}
